Role Playing Database (API Documentation) 3.1.3

Public Member Functions | Static Public Member Functions | List of all members
RolePlayingDB3::SheetEdit Class Reference

## Public Member Functions
| getfile ()
| opennew ()
| new ()
| open ()
| openold (_filename)
| save ()
| saveas (_filename="")
| print ()
| close (...)
| SheetEdit (...)
| recreateXML ()

## Static Public Member Functions
static | edit (...)
static | new (...)
static | open (...)
static | openfile (filename)

## Detailed Description

Widget to edit a sheet. Wraps around XMLContentEditor to edit a "sheet". Gets installed into a standard RPG Toplevel frame – not normally installed directly.

## Constructor & Destructor Documentation

## ◆ SheetEdit()

RolePlayingDB3::SheetEdit::SheetEdit | ( |  | ... | ) |

Constructor – create a sheet edit frame.

Parameters

  widgetpath | The widget path.
  ... | Options: -template Template to use (if this is a new sheet) -sheetclass Sheet class (optional) -openfilename Existing file to open (optional)

## Member Function Documentation

## ◆ close()

RolePlayingDB3::SheetEdit::close | ( |  | ... | ) |

Close the current sheet.

Parameters

  ... | Options: none

## ◆ edit()

static RolePlayingDB3::SheetEdit::edit | ( |  | ... | ) |
| static

Edit an existing sheet file.

Parameters

  ... | Options: -sheetclass The sheet class to edit.

## ◆ getfile()

RolePlayingDB3::SheetEdit::getfile | ( |  | ) |

the current file name

Returns
  the file name.

## ◆ new() [1/2]

static RolePlayingDB3::SheetEdit::new | ( |  | ... | ) |
| static

Create a new sheet and edit it.

Parameters

  ... | Options: -template Sheet template to use. -sheetclass Sheet class to create. -parent Parent window.

## ◆ new() [2/2]

RolePlayingDB3::SheetEdit::new | ( |  | ) |

Create a new sheet.

## ◆ open() [1/2]

RolePlayingDB3::SheetEdit::open | ( |  | ) |

Open an existing sheet file.

## ◆ open() [2/2]

static RolePlayingDB3::SheetEdit::open | ( |  | ... | ) |
| static

Open an existing sheet file.

Parameters

  ... | Options: -sheetclass Sheet class to open. -like Filename suggestion. -parent Parent window.

## ◆ openfile()

static RolePlayingDB3::SheetEdit::openfile | ( | filename |  | ) |
| static

Open an existing sheet file.

Parameters

  filename | File to open.

## ◆ opennew()

RolePlayingDB3::SheetEdit::opennew | ( |  | ) |

Open a new sheet file.

## ◆ openold()

RolePlayingDB3::SheetEdit::openold | ( | _filename |  | ) |

Open an old file.

Parameters

  _filename | File to open.

## ◆ print()

RolePlayingDB3::SheetEdit::print | ( |  | ) |

Print (write to PDF) the current sheet.

## ◆ recreateXML()

RolePlayingDB3::SheetEdit::recreateXML | ( |  | ) |

Regenerate XML string file.

## ◆ save()

RolePlayingDB3::SheetEdit::save | ( |  | ) |

Save the sheet to the current file.

## ◆ saveas()

RolePlayingDB3::SheetEdit::saveas | ( | _filename | = `""` | ) |

Save the sheet to a new file.

Parameters

  _filename | File to save to.

The documentation for this class was generated from the following file:

- RPGSheetEdit.tcl